//The function below finds the appropriate grid levels for Y-axis
//ylims - vector containing the lower and upper limits of Y axis
//amount - maximum amount of grid levels
function w=tpl_grid(ylims,amount)
 w=[]
 if ylims(1)==ylims(2) then; return; end
 if amount == 0 then; return; end
 if ylims(1) > ylims(2) then
   step = ylims(1);
   ylims(1)=ylims(2);
   ylims(2)=step;
 end
 step=(ylims(2)-ylims(1))/amount;
 step=log10(step);
 order=floor(step);
 step=step-order;
 if step>log10(5) then; kwman=10 ;
  elseif step>log10(3) then; kwman=5;
  elseif step>log10(2) then; kwman=3;
  elseif step==0 then; kwman=1;
  else kwman=2;
 end
 step=kwman*(10**order);
 order=ylims(1)/step;
 order=step*ceil(order);
 roundstep=step/10;
 for i=0:(amount-1)
   order=roundstep*floor(order/roundstep+0.5);
   if order-roundstep >ylims(2) then ; break; end
   w=[w, order];
   order=order+step;
 end






