//The function below converts the time in double form (seconds after
//1970-01-01 00:00:00.000) into the parsed form: w(1)-year, w(2)-month
//w(3)-day, w(4)-hour, w(5)-minutes, w(6)-integer part of seconds,
//w(7)-fractional part of seconds.
//This function does not work for year >= 2100, because this is not a leap
//year. This is however a problem for the next generation :-).
//This function knows nothing about the leap seconds either :-(
function w=tpl_time(t)
  t=t+31536000; //365.0*24.0*3600.0
  w=zeros(1,7);
  w(7)=modulo(t,1);
  t=floor(t);
  w(6)=modulo(t,60);
  t=floor(t/60);
  w(5)=modulo(t,60);
  t=floor(t/60);
  w(4)=modulo(t,24);
  t=floor(t/24);
  w(1)=4*floor(t/1461); //year
  t=modulo(t,1461) //3*365+366
  tmp=floor(t/365); if tmp==4 then; tmp=3 ; end
  w(1)=w(1)+tmp+1969;
  if tmp==3
    mon=[0, 31, 60, 91,121,152,182,213,244,274,305,335,366];
  else
    mon=[0, 31, 59, 90,120,151,181,212,243,273,304,334,365];
  end
  tmp=t-tmp*365;
  i=2;
  while mon(i)<=tmp & i<13
    i=i+1;
  end
  tmp=tmp-mon(i-1)
  w(2)=i-1;
  w(3)=tmp+1;
return


//This function converts the number to the string, and extends it
//(if necessary) with leading zeros to the length "nd"


